Bug 47650

Summary: httxt2dbm calculates value size incorrectly
Product: Apache httpd-2 Reporter: jon
Component: supportAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED FIXED    
Severity: trivial CC: szg0000
Priority: P2 Keywords: FixedInTrunk
Version: 2.5-HEAD   
Target Milestone: ---   
Hardware: All   
OS: All   

Description jon 2009-08-05 13:39:43 UTC
On line 157 of /httpd/httpd/trunk/support/httxt2dbm.c, dbmval.dsize = (c - line); should be dbmval.dsize = (c - value);, matching the allocated space in the preceeding line.
Comment 1 Andy 2009-08-06 16:20:50 UTC
I have made the changes to the httxt2dmb.c file as described by Jon and now it needs testing... This is my first patch do i check it in to CVS and if so where does it needs to go to be unit tested,
Thanks for your help guys
Comment 2 Christophe JAILLET 2012-12-14 22:41:37 UTC
Better late than never...

... so thanks for this report.
This has been fixed on trunk

http://svn.apache.org/viewvc?diff_format=h&view=revision&revision=1422135
Comment 3 Christophe JAILLET 2013-01-08 20:50:10 UTC
and will be available in 2.4.4.

http://svn.apache.org/viewvc?view=revision&revision=1430298
Comment 4 Stefan Fritsch 2013-03-03 16:50:54 UTC
fixed in 2.4.4
Comment 5 Rainer Perske 2015-09-23 10:59:43 UTC
Not fixed in 2.2.31
Comment 6 Luca Toscano 2017-11-19 09:57:54 UTC
httpd 2.2.x is not supported anymore (EOL), closing task.